CREATE TABLE IF NOT EXISTS repo_lfs_object (
    id BIGSERIAL PRIMARY KEY,
    oid VARCHAR(255) NOT NULL,
    repo_uuid UUID NOT NULL,
    size BIGINT NOT NULL,
    storage_path VARCHAR(255) NOT NULL,
    uploaded_by UUID,
    uploaded_at TIMESTAMPTZ NOT NULL
);

CREATE INDEX idx_repo_lfs_object_repo_oid ON repo_lfs_object (repo_uuid, oid);
